Results 1 to 6 of 6

Thread: VirtualBox Issue 11.4

  1. #1
    Join Date
    Mar 2011
    Location
    India
    Posts
    303

    Default VirtualBox Issue 11.4

    Hi,

    When I try to run VirtualBox-4.1-4.1.6 on 11.4 I get


    Code:
    $   sudo /etc/init.d/vboxdrv setup
    root's password:
    Stopping VirtualBox kernel modules                                   done
    Uninstalling old VirtualBox DKMS kernel modules                      done
    Trying to register the VirtualBox kernel modules using DKMS          failed
      (Failed, trying without DKMS)
    Recompiling VirtualBox kernel modules                                failed
      (Look at /var/log/vbox-install.log to find out what went wrong)

    Code:
    $ uname -r
    2.6.37.6-0.7-desktop
    +

    I have installed
    Code:
    sudo zypper in kernel-devel gcc make
    What else do I need to install ?
    openSUSE Leap 15
    You aren't rich until you have something that money can't buy.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,670
    Blog Entries
    15

    Default Re: VirtualBox Issue 11.4

    Quote Originally Posted by suse kid
    Hi,

    When I try to run VirtualBox-4.1-4.1.6 on 11.4 I get



    Code:
    --------------------
    $ sudo /etc/init.d/vboxdrv setup
    root's password:
    Stopping VirtualBox kernel modules
    done Uninstalling old VirtualBox DKMS kernel
    modules done Trying to register the VirtualBox
    kernel modules using DKMS failed (Failed, trying without DKMS)
    Recompiling VirtualBox kernel modules
    failed (Look at /var/log/vbox-install.log to find out what went wrong)

    --------------------




    Code:
    --------------------
    $ uname -r
    2.6.37.6-0.7-desktop
    --------------------


    What do I need to install ?

    Hi
    Kernel-source, make, gcc, kernel-syms and linux-glibc-devel

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.7-desktop
    up 2 days 7:42, 3 users, load average: 0.08, 0.12, 0.17
    GPU GeForce 8600 GTS Silent - Driver Version: 285.05.09


  3. #3
    Join Date
    Mar 2011
    Location
    India
    Posts
    303

    Default Re: VirtualBox Issue 11.4

    Code:
    ~$ sudo zypper in Kernel-source make gcc kernel-syms linux-glibc-devel
    Retrieving repository 'PK_TMP_DIR' metadata [done]
    Loading repository data...
    Reading installed packages...
    'make' is already installed.
    No update candidate for 'make-3.82-140.1.x86_64'. The highest available version is already installed.
    'gcc' is already installed.
    No update candidate for 'gcc-4.5-19.1.x86_64'. The highest available version is already installed.
    'kernel-syms' is already installed.
    No update candidate for 'kernel-syms-2.6.37.6-0.9.1.x86_64'. The highest available version is already installed.
    'linux-glibc-devel' is already installed.
    No update candidate for 'linux-glibc-devel-2.6.36-3.1.noarch'. The highest available version is already installed.
    'kernel-source' providing 'Kernel-source' is already installed.
    No update candidate for 'kernel-source-2.6.37.6-0.9.1.noarch'. The highest available version is already installed.
    Resolving package dependencies...
    
    Nothing to do.

    ^^ All installed but still getting the same thing


    Code:
    sudo /etc/init.d/vboxdrv setup
    Stopping VirtualBox kernel modules                                   done
    Uninstalling old VirtualBox DKMS kernel modules                      done
    Trying to register the VirtualBox kernel modules using DKMS          failed
      (Failed, trying without DKMS)
    Recompiling VirtualBox kernel modules                                failed
      (Look at /var/log/vbox-install.log to find out what went wrong)
    openSUSE Leap 15
    You aren't rich until you have something that money can't buy.

  4. #4
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: VirtualBox Issue 11.4

    Am 11.11.2011 07:36, schrieb suse kid:
    >No update candidate for 'kernel-source-2.6.37.6-0.9.1.noarch'.


    Your kernel source version does not match your running kernel
    2.6.37.6-0.7-desktop. Did you reboot after the last kernel update?

  5. #5
    Join Date
    Mar 2011
    Location
    India
    Posts
    303

    Default Re: VirtualBox Issue 11.4

    Quote Originally Posted by martin_helm View Post
    Am 11.11.2011 07:36, schrieb suse kid:
    >No update candidate for 'kernel-source-2.6.37.6-0.9.1.noarch'.


    Your kernel source version does not match your running kernel
    2.6.37.6-0.7-desktop. Did you reboot after the last kernel update?
    Just checked. There was a kernel update. Installed & rebooted. Then did
    Code:
    sudo /etc/init.d/vboxdrv setup
    Now VMs starts without any issues.

    Thanks to both.
    openSUSE Leap 15
    You aren't rich until you have something that money can't buy.

  6. #6

    Default Re: VirtualBox Issue 11.4

    Hi

    This is what worked for me:

    install Kernel PAE
    restart and boot with the appropriate Kernel
    uninstall virtualbox
    install virtualbox

    hope it helps

    /v

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •